Package org.apache.any23.extractor.calendar

## Class ICalExtractor

- java.lang.Object
- - org.apache.any23.extractor.calendar.ICalExtractor

- All Implemented Interfaces:
    `org.apache.any23.extractor.Extractor<InputStream>`, `org.apache.any23.extractor.Extractor.ContentExtractor`

      public class ICalExtractor
      extends Object

  Author:
    Hans Brende (hansbrende@apache.org)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `org.apache.any23.extractor.Extractor.BlindExtractor, org.apache.any23.extractor.Extractor.ContentExtractor, org.apache.any23.extractor.Extractor.TagSoupDOMExtractor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ICalExtractor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.any23.extractor.ExtractorDescription` | `getDescription()` |
    `void` | `run​(org.apache.any23.extractor.ExtractionParameters extractionParameters, org.apache.any23.extractor.ExtractionContext extractionContext, InputStream inputStream, org.apache.any23.extractor.ExtractionResult result)` |
    `void` | `setStopAtFirstError​(boolean b)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICalExtractor

          public ICalExtractor()

  - ### Method Detail

    - #### getDescription

          public org.apache.any23.extractor.ExtractorDescription getDescription()

    - #### setStopAtFirstError

          public void setStopAtFirstError​(boolean b)

      Specified by:
        `setStopAtFirstError` in interface `org.apache.any23.extractor.Extractor.ContentExtractor`

    - #### run

          public final void run​(org.apache.any23.extractor.ExtractionParameters extractionParameters,
                                org.apache.any23.extractor.ExtractionContext extractionContext,
                                InputStream inputStream,
                                org.apache.any23.extractor.ExtractionResult result)
                         throws IOException,
                                org.apache.any23.extractor.ExtractionException

      Specified by:
        `run` in interface `org.apache.any23.extractor.Extractor<InputStream>`
      Throws:
        `IOException`
        `org.apache.any23.extractor.ExtractionException`